org.optaplanner.core.impl.score.stream.drools.tri

## Class DroolsTriGroupByInvoker<A,B,C,NewA,NewB,NewC>

- java.lang.Object
- - org.optaplanner.core.impl.score.stream.drools.common.DroolsAbstractGroupByInvoker<TriTuple<A,B,C>>
  - - org.optaplanner.core.impl.score.stream.drools.tri.DroolsTriGroupByInvoker<A,B,C,NewA,NewB,NewC>

- All Implemented Interfaces:
    org.drools.core.spi.Accumulator, org.drools.core.spi.Invoker, org.drools.core.spi.RuleComponent

      public class DroolsTriGroupByInvoker<A,B,C,NewA,NewB,NewC>
      extends DroolsAbstractGroupByInvoker<TriTuple<A,B,C>>

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.drools.core.spi.Accumulator

      `org.drools.core.spi.Accumulator.SafeAccumulator`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DroolsTriGroupByInvoker(TriFunction<A,B,C,NewA> groupKeyAMapping, TriFunction<A,B,C,NewB> groupKeyBMapping, TriConstraintCollector<A,B,C,?,NewC> collector, org.drools.model.Variable<A> aVariable, org.drools.model.Variable<B> bVariable, org.drools.model.Variable<C> cVariable)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected <X> TriTuple<A,B,C>` | `createInput(Function<org.drools.model.Variable<X>,X> valueFinder)`
    `protected DroolsAbstractGroupBy<TriTuple<A,B,C>,?>` | `newContext()`

    - ### Methods inherited from class org.optaplanner.core.impl.score.stream.drools.common.DroolsAbstractGroupByInvoker

      `accumulate, createContext, createWorkingMemoryContext, getResult, getValue, init, materialize, reverse, supportsReverse`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.drools.core.spi.Accumulator

      `isCompiledInvoker`

- - ### Constructor Detail

    - #### DroolsTriGroupByInvoker

          public DroolsTriGroupByInvoker(TriFunction<A,B,C,NewA> groupKeyAMapping,
                                         TriFunction<A,B,C,NewB> groupKeyBMapping,
                                         TriConstraintCollector<A,B,C,?,NewC> collector,
                                         org.drools.model.Variable<A> aVariable,
                                         org.drools.model.Variable<B> bVariable,
                                         org.drools.model.Variable<C> cVariable)

  - ### Method Detail

    - #### newContext

          protected DroolsAbstractGroupBy<TriTuple<A,B,C>,?> newContext()

      Specified by:
        `newContext` in class `DroolsAbstractGroupByInvoker<TriTuple<A,B,C>>`

    - #### createInput

          protected <X> TriTuple<A,B,C> createInput(Function<org.drools.model.Variable<X>,X> valueFinder)

      Specified by:
        `createInput` in class `DroolsAbstractGroupByInvoker<TriTuple<A,B,C>>`

Copyright © 2006–2020 JBoss by Red Hat. All rights reserved.